POSTGet Token Allowance

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/token/getTokenAllowance

Retrieves the amount of ERC20 tokens that the owner has approved for the spender.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
contractAddressstringrequired

Parameter specifying the contract address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

ownerAddressstringrequired

Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

spenderAddressstringrequired

Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

Responses
allowancestring

Returns the remaining number of tokens that the spender can use on behalf of the owner through transferFrom. This value changes when approve or transferFrom is called.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/token/getTokenAllowance" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "contractAddress": "0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D",
  "ownerAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
  "spenderAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
}'
Response
Example · 200
{
  "allowance": "string"
}